Index: /palm/trunk/SOURCE/data_output_netcdf4_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_netcdf4_module.f90	(revision 4577)
@@ -596,144 +597,144 @@
 !--    character output
        IF ( PRESENT( values_char_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_char_0d /), &
-                                  start = bounds_start - bounds_origin + 1,   &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_char_0d /),                      &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_char_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_1d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_1d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_char_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_2d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_2d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_char_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_3d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_char_3d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    8bit integer output
        ELSEIF ( PRESENT( values_int8_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int8_0d /), &
-                                  start = bounds_start - bounds_origin + 1,   &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int8_0d /),                      &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int8_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_1d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_1d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int8_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_2d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_2d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int8_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_3d,     &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int8_3d,                            &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    16bit integer output
        ELSEIF ( PRESENT( values_int16_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int16_0d /), &
-                                  start = bounds_start - bounds_origin + 1,    &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int16_0d /),                     &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int16_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_1d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_1d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int16_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_2d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_2d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int16_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_3d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int16_3d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    32bit integer output
        ELSEIF ( PRESENT( values_int32_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int32_0d /),  &
-                                  start = bounds_start - bounds_origin + 1,     &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_int32_0d /),                     &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int32_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_1d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_1d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int32_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_2d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_2d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_int32_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_3d,    &
-                                  start = bounds_start - bounds_origin + 1, &
-                                  count = value_counts )
-!
-!--    working-precision integer output
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_int32_3d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
+                                  count = value_counts )
+!
+!--    Working-precision integer output
        ELSEIF ( PRESENT( values_intwp_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_intwp_0d /),  &
-                                  start = bounds_start - bounds_origin + 1,     &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_intwp_0d /),                     &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_intwp_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_1d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_1d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_intwp_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_2d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_2d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_intwp_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_3d,    &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_intwp_3d,                           &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    32bit real output
        ELSEIF ( PRESENT( values_real32_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_real32_0d /), &
-                                  start = bounds_start - bounds_origin + 1,     &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_real32_0d /),                    &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real32_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_1d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_1d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real32_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_2d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_2d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real32_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_3d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real32_3d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    64bit real output
        ELSEIF ( PRESENT( values_real64_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_real64_0d /), &
-                                  start = bounds_start - bounds_origin + 1,     &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_real64_0d /),                    &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real64_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_1d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_1d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real64_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_2d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_2d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_real64_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_3d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_real64_3d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
 !
 !--    working-precision real output
        ELSEIF ( PRESENT( values_realwp_0d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_realwp_0d /), &
-                                  start = bounds_start - bounds_origin + 1,     &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, (/ values_realwp_0d /),                    &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_realwp_1d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_1d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_1d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_realwp_2d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_2d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_2d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSEIF ( PRESENT( values_realwp_3d ) )  THEN
-          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_3d,   &
-                                  start = bounds_start - bounds_origin + 1, &
+          nc_stat = NF90_PUT_VAR( file_id, variable_id, values_realwp_3d,                          &
+                                  start = bounds_start - bounds_origin + 1,                        &
                                   count = value_counts )
        ELSE
@@ -741,5 +742,5 @@
           nc_stat = NF90_NOERR
           WRITE( temp_string, '(": variable_id=",I6,", file_id=",I6)' ) variable_id, file_id
-          CALL internal_message( 'error', routine_name // &
+          CALL internal_message( 'error', routine_name //                                          &
                                  ': no output values given ' // TRIM( temp_string ) )
        ENDIF
@@ -761,5 +762,5 @@
              d = 1
              DO WHILE ( d <= ndims .AND. nc_stat == NF90_NOERR )
-                nc_stat = NF90_INQUIRE_DIMENSION( file_id, dimension_ids(d), &
+                nc_stat = NF90_INQUIRE_DIMENSION( file_id, dimension_ids(d),                       &
                                                   LEN=dimension_lengths(d) )
                 d = d + 1
@@ -767,13 +768,13 @@
 
              IF ( nc_stat == NF90_NOERR )  THEN
-                WRITE( temp_string, * )  TRIM( temp_string ) // '; given variable bounds: ' //  &
+                WRITE( temp_string, * )  TRIM( temp_string ) // '; given variable bounds: ' //     &
                    'start=', bounds_start, ', count=', value_counts, ', origin=', bounds_origin
-                CALL internal_message( 'error', routine_name //     &
+                CALL internal_message( 'error', routine_name //                                    &
                                        ': error while writing: ' // TRIM( temp_string ) )
              ELSE
 !
 !--             Error occured during NF90_INQUIRE_VARIABLE or NF90_INQUIRE_DIMENSION
-                CALL internal_message( 'error', routine_name //            &
-                                       ': error while accessing file: ' // &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': error while accessing file: ' //                         &
                                         NF90_STRERROR( nc_stat ) )
              ENDIF
@@ -782,5 +783,5 @@
 !
 !--          Other NetCDF error
-             CALL internal_message( 'error', routine_name //     &
+             CALL internal_message( 'error', routine_name //                                       &
                                     ': error while writing: ' // NF90_STRERROR( nc_stat ) )
           ENDIF
@@ -810,5 +811,5 @@
 #if defined( __netcdf4 )
     WRITE( temp_string, * ) file_id
-    CALL internal_message( 'debug', routine_name // &
+    CALL internal_message( 'debug', routine_name //                                                &
                            ': close file (file_id=' // TRIM( temp_string ) // ')' )
 
@@ -818,5 +819,5 @@
     ELSE
        return_value = 1
-       CALL internal_message( 'error', routine_name // &
+       CALL internal_message( 'error', routine_name //                                             &
                               ': NetCDF error: ' // NF90_STRERROR( nc_stat ) )
     ENDIF
@@ -834,7 +835,7 @@
  FUNCTION get_netcdf_data_type( data_type ) RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'get_netcdf_data_type'  !< name of this routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  data_type  !< requested data type
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'get_netcdf_data_type'  !< name of this routine
 
     INTEGER ::  return_value  !< netcdf data type
@@ -864,5 +865,5 @@
 
        CASE DEFAULT
-          CALL internal_message( 'error', routine_name // &
+          CALL internal_message( 'error', routine_name //                                          &
                                  ': data type unknown (' // TRIM( data_type ) // ')' )
           return_value = -1
@@ -875,6 +876,6 @@
 ! Description:
 ! ------------
-!> Message routine writing debug information into the debug file
-!> or creating the error message string.
+!> Message routine writing debug information into the debug file or creating the error message
+!> string.
 !--------------------------------------------------------------------------------------------------!
  SUBROUTINE internal_message( level, string )
